Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.orafi.app/v1/subscriptions/plans/{planId} \ --header 'x-api-key: <api-key>'
{ "success": true, "message": "Plan retrieved", "data": { "id": "plan_abc123", "name": "Basic Monthly", "amount": 9.99, "currency": "USDC", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "subscriptionCount": 123, "subscriptions": [ { "id": "sub_abc123", "customerId": "<string>", "planId": "<string>", "network": "SUI", "startsAt": "2023-11-07T05:31:56Z", "endsAt": "2023-11-07T05:31:56Z", "canceledAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "customer": { "id": "customer_abc123", "firstname": "John", "lastname": "Doe", "email": "john.doe@example.com", "totalSpent": 500.5, "createdAt": "2023-11-07T05:31:56Z" } } ] } }
API key for merchant authentication required for most endpoints
Plan retrieved
true
"Plan retrieved"
Show child attributes